[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Arch Linux: write csv file for now
Holger Levsen
holger at layer-acht.org
Wed Nov 29 19:10:38 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit b25358bbaa5e49b766590396a878ef3008c872e0
Author: Holger Levsen <holger at layer-acht.org>
Date: Wed Nov 29 19:08:03 2017 +0000
reproducible Arch Linux: write csv file for now
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
bin/reproducible_build_archlinux_pkg.sh | 1 +
bin/reproducible_html_archlinux.sh | 18 +++++++++++++++++-
2 files changed, 18 insertions(+), 1 deletion(-)
diff --git a/bin/reproducible_build_archlinux_pkg.sh b/bin/reproducible_build_archlinux_pkg.sh
index b296dda..bc8299e 100755
--- a/bin/reproducible_build_archlinux_pkg.sh
+++ b/bin/reproducible_build_archlinux_pkg.sh
@@ -395,6 +395,7 @@ delay_start # randomize start times
# first, we need to choose a package from a repository…
REPOSITORY=""
SRCPACKAGE=""
+VERSION=""
choose_package
# build package twice
mkdir b1 b2
diff --git a/bin/reproducible_html_archlinux.sh b/bin/reproducible_html_archlinux.sh
index c742bb3..bde99f5 100755
--- a/bin/reproducible_html_archlinux.sh
+++ b/bin/reproducible_html_archlinux.sh
@@ -16,6 +16,7 @@ ARCHBASE=$BASE/archlinux
# analyse results to create the webpage
#
echo "$(date -u) - starting to analyse build results."
+DATE=$(date -u +'%Y-%m-%d')
MEMBERS_FTBFS="0 1 2 3"
MEMBERS_DEPWAIT="0 1"
MEMBERS_404="0 1 2 3 4 5 6 7 8 9"
@@ -213,7 +214,15 @@ for REPOSITORY in $ARCHLINUX_REPOS ; do
fi
done
echo " </tr>" >> $HTML_REPOSTATS
+ #
+ # write csv file for $REPO
+ #
+ if ! grep -q $DATE $ARCHBASE/$REPO.csv then
+ echo $DATE,$NR_GOOD,$NR_FTBR,$NR_FTBFS,$NR_DEPWAIT,$NR_404,$NR_UNKNOWN >> $ARCHBASE/$REPO.csv
+ fi
+ #
# prepare ARCHLINUX totals
+ #
set +e
let ARCHLINUX_TOTAL+=$TOTAL
let ARCHLINUX_TESTED+=$TESTED
@@ -243,10 +252,17 @@ for i in $ARCHLINUX_NR_GOOD $ARCHLINUX_NR_FTBR $ARCHLINUX_NR_FTBFS $ARCHLINUX_NR
fi
done
echo " </tr>" >> $HTML_REPOSTATS
+
+#
+# write csv file for totals
+#
+if ! grep -q $DATE $ARCHBASE/archlinux.csv then
+ echo,$DATE,$ARCHLINUX_NR_GOOD,$ARCHLINUX_NR_FTBR,$ARCHLINUX_NR_FTBFS,$ARCHLINUX_NR_DEPWAIT,$ARCHLINUX_NR_404,$ARCHLINUX_NR_UNKNOWN >> $ARCHBASE/archlinux.csv
+fi
+
#
# write out the actual webpage
#
-DATE=$(date -u +'%Y-%m-%d')
cd $ARCHBASE
PAGE=archlinux.html
echo "$(date -u) - starting to build $PAGE"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list